<template>
    <div>
        <ResourceForm v-bind:resource="resource" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></ResourceForm>
    </div>
</template>

<script>
import ResourceForm from './Resources.Form.vue';
import { editProject } from '@/api/projects.service.js';
export default {
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        },
        resource() {
            if (this.project && this.project.resources) {
                return this.project.resources[this.$route.params.resourceId];
            }
            return {};
        }
    },
    components: {
        ResourceForm
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            this.project.resources[this.$route.params.resourceId] = this.resource;
            let id = this.project._id;
            editProject(id, this.project).then(() => {
                this.$store.dispatch('setProjectById', this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {
            this.project.resources.splice(this.$route.params.resourceId, 1);
            let id = this.project._id;
            editProject(id, this.project).then(() => {
                this.$store.dispatch('setProjectById', this.$route.params.id);
                this.$router.go(-1);
            });
        }
    }
}
</script>

<style>

</style>
